D-Bus 1.13.18

Data Fields
DBusSignatureRealIter Struct Reference

Implementation details of DBusSignatureIter, all fields are private. More...

## Data Fields
const char * | pos
| current position in the signature string More...
unsigned int | finished: 1
| true if we are at the end iter More...
unsigned int | in_array: 1
| true if we are a subiterator pointing to an array's element type More...

## Detailed Description

Implementation details of DBusSignatureIter, all fields are private.

Definition at line 36 of file dbus-signature.c.

## Field Documentation

## ◆ finished

unsigned int DBusSignatureRealIter::finished

true if we are at the end iter

Definition at line 39 of file dbus-signature.c.

Referenced by dbus_signature_iter_init(), and dbus_signature_iter_next().

## ◆ in_array

unsigned int DBusSignatureRealIter::in_array

true if we are a subiterator pointing to an array's element type

Definition at line 40 of file dbus-signature.c.

Referenced by dbus_signature_iter_init(), dbus_signature_iter_next(), and dbus_signature_iter_recurse().

## ◆ pos

const char* DBusSignatureRealIter::pos

current position in the signature string

Definition at line 38 of file dbus-signature.c.

Referenced by dbus_signature_iter_get_current_type(), dbus_signature_iter_get_element_type(), dbus_signature_iter_get_signature(), dbus_signature_iter_init(), dbus_signature_iter_next(), and dbus_signature_iter_recurse().

The documentation for this struct was generated from the following file:

- dbus-signature.c